<template>
  <div class="w-screen h-screen absolute top-0 z-50" v-show="loading">
    <van-loading class="w-full h-full flex items-center justify-center bg-app-drak-1" type="spinner" />
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Loading } from 'vant'
Vue.use(Loading)

export default Vue.extend({
  name: 'XLoading',
  data() {
    return {
      loading: false
    }
  },
  methods: {
    showLoading() {
      this.loading = true
    },
    hideLoading() {
      this.loading = false
    }
  }
  // props: {
  //   loading: {
  //     type: Boolean,
  //     default: false
  //   }
  // }

});
</script>

<style>
</style>